{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/manageStuff.js" %}'></script>
    <div class="w3-row">
        <div class="w3-quarter"></div>
        <div class="w3-threequarter w3-margin">
            {% if role == 'admin' %}
                <a class="w3-button w3-round-large w3-blue w3-padding" style='text-decoration: none;' href="/manage/hosts">
                    <i class="fas fa-server fa-lg"></i> {% trans 'Hosts' %} </a>
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;' href="/manage/domains">
                    <i class="fas fa-globe fa-lg"></i> {% trans 'Domains' %}</i></a>
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;' href="/manage/admins">
                    <i class="fas fa-user-cog"></i> {% trans 'Admins' %}</i></a>
            {% endif %}
            
            {% if role == 'domain' %}
                <a class="w3-button w3-round-large w3-blue w3-padding" style='text-decoration: none;' href="/manage/baskets">
                    <i class="fas fa-inbox fa-lg"></i> {% trans 'Baskets' %} </a>
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;' href="/manage/users">
                    <i class="fas fa-user fa-lg"></i> {% trans 'Users' %}</i></a>
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;' href="/manage/groups">
                    <i class="fas fa-users fa-lg"></i> {% trans 'Groups' %}</i></a>
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;' href="/manage/tags">
                    <i class="fas fa-tags fa-lg"></i> {% trans 'Tags' %}</i></a>             
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;' href="/manage/chrono">
                    <i class="fas fa-list-ol fa-lg"></i> {% trans 'Chrono' %}</i></a>
                
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;'  onclick="document.getElementById('editLogo').style.display='block'" >
                    <i class="fas fa-image fa-lg"></i> {% trans 'editLogo' %}</a>
                    
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;'  onclick="document.getElementById('editDefaultpage').style.display='block'" >
                    <i class="fas fa-home fa-lg"></i> {% trans 'editDefaultpage' %}</a>   
                    
                <a class="w3-button w3-round-large w3-blue w3-margin" style='text-decoration: none;' href="/manage/smtp">
                    <i class="fas fa-envelope fa-lg"></i> {% trans 'SMTP' %}</i></a>  
            {% endif %}
            
        </div>
    </div>
    {% if role == 'domain' %}
        <!-- Edit existing Domain Logo-->
        <div id="editLogo" class="w3-modal">
            <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
        
                <div class="w3-center"><br>
                    <span onclick='cancelEditLogo()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
                </div>

                <form  enctype="multipart/form-data" class="w3-container"  method="POST"  action="/manage/domains/updateLogo">
                    {% csrf_token %}
                    <div class="w3-section">
                        <label><b>{% trans 'Logo' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="file" id='logo' name="logo">
                        <input class="w3-input w3-border " type="hidden"  name='uuid' id='uuid' value='{{ user.domain }}'>
                        <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
                    </div>
                </form>

                <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                    <button onclick='cancelEditLogo()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
                </div>

            </div>
        </div>    
        
        <!-- Edit existing Domain Default Page-->
        <div id="editDefaultpage" class="w3-modal">
            <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
        
                <div class="w3-center"><br>
                    <span onclick='cancelEditDefaultpage()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
                </div>

                <form  enctype="multipart/form-data" class="w3-container"  method="POST"  action="/manage/domains/updateDefaultpage">
                    {% csrf_token %}
                    <div class="w3-section">
                        <label><b>{% trans 'URL' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" id='defaultpage' name="defaultpage" value='{{ defaultpage }}'>
                        <input class="w3-input w3-border " type="hidden"  name='uuid' id='uuid' value='{{ user.domain }}'>
                        <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
                    </div>
                </form>

                <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                    <button onclick='cancelEditDefaultpage()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
                </div>

            </div>
        </div>  
        
    {% endif %}    
    
{% endblock %}
